#### D.2.13.5 printTask

Procedure from library `tasks.lib` (see tasks_lib).

Usage:
  printTask(t), t task

Return:
  nothing. Prints information about t.

Note:
  'print(t);' and 't;' are shortcuts for 'printTask(t)'.

Example:

    LIB "tasks.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    task t;
    printTask(t);
    ==> An uninitialized task
    t = "std", list(I);
    t;   // the same as printTask(t);
    ==> A task with the following properties:
    ==> command:          std
    ==> no. of arguments: 1
    ==> state:            created
    ==>
    startTasks(t);
    waitAllTasks(t);
    t;
    ==> A task with the following properties:
    ==> command:          std
    ==> no. of arguments: 1
    ==> state:            completed
    ==>
    killTask(t);

See also: createTask; getArguments; getCommand; getResult; getState; killTask.

User manual for Singular version 4.4.1, 2025, generated by texi2html.